# ConfigureSecurityGroupRules

## 1. 接口描述

本接口(ConfigureSecurityGroupRules)用于配置安全组规则。

{% hint style="info" %}
**注意事项**

* 同一规则方向，规则不能重复。
* 安全组的规则数量有限，如果需要申请更多资源，请提交Support申请。
* 该接口是配置的安全组规则会全量覆盖当前的安全组规则。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                                                     | 描述                                     |
| --------------- | -- | ------------------------------------------------------------------------------------------------------ | -------------------------------------- |
| securityGroupId | 是  | String                                                                                                 | 要配置的安全组ID。                             |
| ruleInfos       | 否  | Array of [SecurityGroupRuleInfo](/api-reference/cn/compute/zec/datastructure.md#securitygroupruleinfo) | <p>需要配置的安全组规则列表。</p><p>注意：配置为全量覆盖。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 配置安全的规则。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigureSecurityGroupRules
<Common Request Params>

Request：
{
  "securityGroupId": "your-security-group-id",
  "ruleInfos": [
    {
      "direction": "ingress",
      "policy": "accept",
      "priority": 1,
      "ipProtocol": "tcp",
      "portRange": "22",
      "cidrIp": "0.0.0.0/0",
      "desc": "aaa"
    },
    {
      "direction": "egress",
      "policy": "accept",
      "priority": 1,
      "ipProtocol": "tcp",
      "portRange": "22",
      "cidrIp": "0.0.0.0/0",
      "desc": "xxx"
    }
  ]
}

Response:
{
  "requestId": "T58CAD52F-458A-4AFF-8FB5-1EACD453C219",
  "response": {
    "requestId": "T58CAD52F-458A-4AFF-8FB5-1EACD453C219"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                     | 说明           |
| ------- | ------------------------------------------------------- | ------------ |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_CIDR\_IP           | 安全组规则源IP不合法。 |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_DESC               | 规则描述包含非法字符。  |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_DIRECTION          | 出入方向参数错误。    |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_IP\_PROTOCOL       | 协议不合法。       |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_PORT\_RANGE        | 端口范围不合法。     |
| 400     | INVALID\_PARAMETER\_SECURITY\_GROUP\_PRIORITY           | 优先级不在指定范围。   |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND                    | 安全组不存在。      |
| 400     | OPERATION\_DENIED\_SECURITY\_GROUP\_RULE\_EXCEED\_LIMIT | 规则数量超过配额限制。  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/security-group/configuresecuritygrouprules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
